import INetworkInfo, { INetworkInterface, INetworkOptions, INetworkOptionsLegacy, NetworkInterface } from './INetworkInfo';
export type EAPType = 'EAP-TLS' | 'PEAP' | 'EAP-TTLS';
export interface CertificateEapDetails {
    type: EAPType;
    caCertificate?: string;
    clientCertificate?: string;
    clientKey?: string;
    clientCertificatePassword?: string;
}
export default interface INetwork {
    getActiveInfo(): Promise<INetworkInfo>;
    listInterfaces(): Promise<INetworkInterface[]>;
    setManual(options: INetworkOptionsLegacy): Promise<void>;
    setManual(interfaceName: string, options: INetworkOptions): Promise<void>;
    setDHCP(networkInterface: NetworkInterface): Promise<void>;
    setDHCP(interfaceName: string): Promise<void>;
    disableInterface(interfaceName: string): Promise<void>;
    importCertificate(details: CertificateEapDetails): Promise<void>;
}
export declare const VCertificateEapDetails: {
    type: {
        string: string[];
    };
    caCertificate: string;
    clientCertificate: string;
    clientKey: string;
    clientCertificatePassword: string;
};
